package cn.com.poc.thirdparty.resource.simultanous_interpretation.entity;

import java.util.List;

/**
 * 离线语音识别状态
 *
 * @author alex.yao
 * @date 2025/7/22
 */
public class AsrOfflineDetailResult {

    private String sessionId;


    /**
     * 生成状态
     * MeetingAssistantConstantEnum
     */
    private String generateStatus;

    private List<Translation> translation;

    public String getSessionId() {
        return sessionId;
    }

    public void setSessionId(String sessionId) {
        this.sessionId = sessionId;
    }

    public String getGenerateStatus() {
        return generateStatus;
    }

    public void setGenerateStatus(String generateStatus) {
        this.generateStatus = generateStatus;
    }

    public List<Translation> getTranslation() {
        return translation;
    }

    public void setTranslation(List<Translation> translation) {
        this.translation = translation;
    }
}
